Bug 452714 - Review Request: quassel - Distributed IRC Client and Core application
Review Request: quassel - Distributed IRC Client and Core application
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-24 11:38 EDT by Steven M. Parrish
Modified: 2014-07-09 13:19 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.2.0-0.1.rc1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-09 17:49:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven M. Parrish 2008-06-24 11:38:47 EDT
SPEC & SRPM file is here: http://tuxbrewr.fedorapeople.org/quassel/
Description: Quassel IRC is a modern, cross-platform, distributed IRC client, meaning that one (or multiple) client(s) can attach to and detach from a central core -- much like the popular combination of screen and a text-based IRC client such as WeeChat, but graphical.

Build logs are here:
F9: http://koji.fedoraproject.org/koji/taskinfo?taskID=678455
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=678468
Comment 1 Charles R. Anderson 2008-06-24 18:43:17 EDT
Partial review:

rpmlint output:

>rpmlint quassel-0.2.0-1.fc9.src.rpm 
quassel.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 7)
[This is fine]

quassel.src: E: description-line-too-long Quassel IRC is a modern, distributed
IRC client, meaning that one (or multiple) client(s) can attach to and detach
from a central core --
quassel.src: E: description-line-too-long much like the popular combination of 
screen and a text-based IRC client such as WeeChat, but graphical
[Please wrap the text into a paragraph of no more than 80-characters per line]

quassel.src: W: no-version-in-last-changelog
[Please include version after each changelog header line like this:
* Sat Jun 23 2008 Steven Parrish <smparrish[at]shallowcreek.net> 0.2.0-0.1.beta1
]

quassel.src: W: invalid-license GPLv2 GPLv3
[correct syntax is "or" between each license:
License: GPLv2 or GPLv3
]

quassel.src: W: strange-permission quasselclient.desktop 0777
quassel.src: W: strange-permission quasselcore.desktop 0777
quassel.src: W: strange-permission quassel.desktop 0777
quassel.src: W: strange-permission quassel.spec 0777
[Since these desktop files originated as included Source: the easiest way to fix
these is to chmod 644 *.desktop before you build]

Packaging Review MUST Items:
+ for items that pass review
- for required changes
? for suggestions or needs investigation

+ package name matches upstream
- version/release doesn't follow guidelines for beta/pre-release versions:

https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages

I suggest using:

Version: 0.2.0
Release: 0.1.beta1%{?dist}

+ spec file name matches package name
- License is good: dual GPLv2 / GPLv3, but as stated above, License tag needs to
use correct syntax for dual-license scenario:

License: GPLv2 or GPLv3

- Need to include gpl-v2.txt, gpl-v3.txt, and COPYING in the package as %doc
+ spec is in American English
? suggest blank line before %clean and between other sections for readability
+ Source0: URL download sha1sum matches src in package:
36fe1f1352f79f77d824d076add4e9e24c49ba75  quassel-0.2.0-beta1.tar.bz2
+ Package built successfully in koji, BuildRequires apparently fine
? Why are you manually installing only a few files rather than using "make install"?
+ owns all directories it creates
+ no duplicate %files
+ permissions look good on installed files
+ has a proper %clean section
- please use %{_datadir} macro in place of /usr/share
+ package contains code suitable for Fedora packaging
- no documentation - consider including README and any other documentation (not
INSTALL build instructions though)
? For your core and client subpackages: In the vast majority of cases, devel
packages must require the base package using a fully versioned dependency:
Requires: %{name} = %{version}-%{release}
+ Desktop files are present and installed with desktop-file-install
+ no shared directory ownerships
+ rm -rf %{buildroot} at beginning of %install
Comment 2 Steven M. Parrish 2008-06-24 19:44:50 EDT
Thanks for the comments.  Uploaded revised SPEC and SRPMS files to
http://tuxbrewr.fedorapeople.org/quassel/

You asked why I was manually installing the files instead of using make install.
Here is the quote from the developers....

"make install will probably do something, but it has never been tried
and may destroy your system or kill a kitten. It's not necessary
anyway, since there are no installable files other than the
binaries. Though this might change in later releases."

Also the way the packages are broken up as follows.  The base package contains a
monolithic build of the client and server.  You would use this when client and
server would reside on the same machine, otherwise the client and server
packages can be installed on different machines so do not depend on each other.

Again thanks for the comments.  Anything else just ask.

Build logs:
F9: http://koji.fedoraproject.org/koji/taskinfo?taskID=678971
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=678976
Comment 3 Rex Dieter 2008-07-01 14:53:45 EDT
1.  MUST: use %{_bindir} instead of /usr/bin in %files

2.  MUST: Refer to qt4, not qt, to avoid ambiguity.  In short, s/qt-/qt4-/

3.  MUST: drop kde4_macros_api business.  This is a qt-only app, not a kde4 
one.

4.  SHOULD:  use %{_qt4_qmake} macro instead of qmake-qt4


rpmlint on latest F-9 koji scratch builds: (x86_64)
$ rpmlint *.rpm
quassel.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 7)
quassel.src: E: description-line-too-long Quassel IRC is a modern, distributed 
IRC client, meaning that one (or multiple) client(s) can attach to and detach 
from a central core --
quassel.src: E: description-line-too-long much like the popular combination of 
screen and a text-based IRC client such as WeeChat, but graphical
quassel.src: W: no-version-in-last-changelog
quassel.src: W: strange-permission quassel.spec 0777
quassel.x86_64: E: description-line-too-long Quassel IRC is a modern, 
distributed IRC client, meaning that one (or multiple) client(s) can attach to 
and detach from a central core --
quassel.x86_64: E: description-line-too-long much like the popular combination 
of screen and a text-based IRC client such as WeeChat, but graphical
quassel.x86_64: W: no-version-in-last-changelog
quassel-client.x86_64: W: no-version-in-last-changelog
quassel-core.x86_64: E: description-line-too-long The Quassel IRC Core 
maintains a connection with the server, and allows for multiple clients to 
connect
quassel-core.x86_64: W: no-version-in-last-changelog
4 packages and 0 specfiles checked; 5 errors, 6 warnings.


I'll review a bit more after trying these out to see how well things work.
Comment 4 Steven M. Parrish 2008-07-01 15:33:03 EDT
Thanks for the comments.  Uploaded revised SPEC and SRPMS files to
http://tuxbrewr.fedorapeople.org/quassel/


Build logs:
F9: http://koji.fedoraproject.org/koji/taskinfo?taskID=690433
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=690451
Comment 5 Rex Dieter 2008-07-01 15:44:13 EDT
seemed to miss item 2.

5. MUST:  .desktop files
Having tried things out a bit, I noticed the included .desktop files are missing
any Category tags, so they don't appear in the menus anywhere.  I'd suggest adding
Categories=Qt;Network;InstantMessaging;
Comment 6 Rex Dieter 2008-07-01 16:03:44 EDT
I'll trust you to make those changes before import (or build).  APPROVED.

(and thanks to Charles, comment #1, for the partial review)

It's obviously alpha/beta quality atm, but it shows promise.
Comment 7 Steven M. Parrish 2008-07-01 16:06:29 EDT
Changes made  Thanks
Comment 8 Steven M. Parrish 2008-07-01 16:11:32 EDT
New Package CVS Request
=======================
Package Name: quassel
Short Description: Distributed IRC Client and Core application
Owners: tuxbrewr
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-07-02 12:41:42 EDT
cvs done.
Comment 10 Fedora Update System 2008-07-02 15:30:25 EDT
quassel-0.2.0-0.3.beta1.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-07-02 23:17:02 EDT
quassel-0.2.0-0.3.beta1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update quassel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6057
Comment 12 Fedora Update System 2008-07-09 17:49:33 EDT
quassel-0.2.0-0.1.rc1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Adam Miller 2014-07-09 11:08:25 EDT
Package Change Request
======================
Package Name: quassel
New Branches: epel7
Owners: maxamillion skottler tuxbrewr 
InitialCC:
Comment 14 Gwyn Ciesla 2014-07-09 13:19:26 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.